Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226565 - Merge Review: xmlrpc
Summary: Merge Review: xmlrpc
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Permaine Cheung
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:20 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-09 15:41:25 UTC
pcheung: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:20:35 UTC
Fedora Merge Review: xmlrpc

http://cvs.fedora.redhat.com/viewcvs/devel/xmlrpc/
Initial Owner: vivekl@redhat.com

Comment 2 Permaine Cheung 2007-04-19 17:37:32 UTC
Please fix item(s) mared by X:
MUST:
* package is named appropriately
 - match upstream tarball or project name
 - try to match previous incarnations in other distributions/packagers for
consistency
 - specfile should be %{name}.spec
 - non-numeric characters should only be used in Release (ie. cvs or
   something)
 - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
 - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
* is it legal for Fedora to distribute this?
 - OSI-approved
 - not a kernel module
 - not shareware
 - is it covered by patents?
 - it *probably* shouldn't be an emulator
 - no binary firmware
* license field matches the actual license.
* license is open source-compatible.
 - use acronyms for licences where common
* specfile name matches %{name}
X verify source and patches (md5sum matches upstream, know what the patches do)
 - Source0 doesn't exist
* skim the summary and description for typos, etc.
* correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
X if %{?dist} is used, it should be in that form (note the ? and %
locations)
 - Please fix Release tag by adding %{?dist}
* license text included in package and marked with %doc
* keep old changelog entries; use judgement when removing (too old?
useless?)
* packages meets FHS (http://www.pathname.com/fhs/)
* rpmlint on <this package>.srpm gives no output
 - W: xmlrpc non-standard-group Development/Java - this is OK
* changelog should be in one of these formats:

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> - 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com>
  - 0.6-4
  - And fix the link syntax.

* Packager tag should not be used
* Vendor tag should not be used
* Distribution tag should not be used
* use License and not Copyright
* Summary tag should not end in a period
* if possible, replace PreReq with Requires(pre) and/or Requires(post)
* specfile is legible
* package successfully compiles and builds on at least x86
* BuildRequires are proper
 - builds in mock will flush out problems here
 - the following packages don't need to be listed in BuildRequires:
   bash
   bzip2
   coreutils
   cpio
   diffutils
   fedora-release (and/or redhat-release)
   gcc
   gcc-c++
   gzip
   make
   patch
   perl
   redhat-rpm-config
   rpm-build
   sed
   tar
   unzip
   which
* summary should be a short and concise description of the package
* description expands upon summary (don't include installation
instructions)
* make sure lines are <= 80 characters
* specfile written in American English
* make a -doc sub-package if necessary
 - see
  
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b
* packages including libraries should exclude static libraries if possible
* don't use rpath
* config files should usually be marked with %config(noreplace)
* GUI apps should contain .desktop files
* should the package contain a -devel sub-package?
* use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
* don't use %makeinstall
* install section must begin with rm -rf $RPM_BUILD_ROOT or %{buildroot}
* locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install
* consider using cp -p to preserve timestamps
* split Requires(pre,post) into two separate lines
* package should probably not be relocatable
* package contains code
 - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
 - in general, there should be no offensive content
* package should own all directories and files
* there should be no %files duplicates
* file permissions should be okay; %defattrs should be present
* %clean should be present
* %doc files should not affect runtime
* if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
* verify the final provides and requires of the binary RPMs
[pcheung@to-fcjpp1 pcheung]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xmlrpc-2.0.1-3jpp.3.x86_64.rpm
xmlrpc-applet-2.0.1.jar.so()(64bit)
xmlrpc = 0:2.0.1-3jpp.3
[pcheung@to-fcjpp1 pcheung]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xmlrpc-2.0.1-3jpp.3.x86_64.rpm
/bin/sh
/bin/sh
jakarta-commons-codec >= 1.3
jakarta-commons-httpclient
java-gcj-compat
java-gcj-compat
jpackage-utils >= 0:1.6
jsse
junit
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libdl.so.2()(64bit)
libgcc_s.so.1()(64bit)
libgcc_s.so.1(GCC_3.0)(64bit)
libgcj_bc.so.1()(64bit)
libm.so.6()(64bit)
libpthread.so.0()(64bit)
librt.so.1()(64bit)
libz.so.1()(64bit)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)
servletapi5
[pcheung@to-fcjpp1 pcheung]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xmlrpc-debuginfo-2.0.1-3jpp.3.x86_64.rpm
xmlrpc-applet-2.0.1.jar.so.debug()(64bit)
xmlrpc-debuginfo = 0:2.0.1-3jpp.3
[pcheung@to-fcjpp1 pcheung]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xmlrpc-debuginfo-2.0.1-3jpp.3.x86_64.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
[pcheung@to-fcjpp1 pcheung]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xmlrpc-javadoc-2.0.1-3jpp.3.x86_64.rpm
xmlrpc-javadoc = 0:2.0.1-3jpp.3
[pcheung@to-fcjpp1 pcheung]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xmlrpc-javadoc-2.0.1-3jpp.3.x86_64.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
* run rpmlint on the binary RPMs
[pcheung@to-fcjpp1 pcheung]$ rpmlint
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xmlrpc-*x86*rpm
W: xmlrpc non-standard-group Development/Java
W: xmlrpc-javadoc non-standard-group Development/Java
These are OK

SHOULD:
* package should include license text in the package and mark it with %doc
* package should build on i386
* package should build in mock

Comment 3 Matt Wringe 2007-04-25 23:08:43 UTC
(In reply to comment #2)

> X verify source and patches (md5sum matches upstream, know what the patches do)
>  - Source0 doesn't exist
Updated link

> * skim the summary and description for typos, etc.
> * correct buildroot
>  - should be:
>    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
> X if %{?dist} is used, it should be in that form (note the ? and %
> locations)
>  - Please fix Release tag by adding %{?dist}
Fixed

Updated SRPM:
https://mwringe.108.redhat.com/files/documents/175/348/xmlrpc-2.0.1-3jpp.3.src.rpm

Comment 4 Permaine Cheung 2007-04-26 18:37:19 UTC
(In reply to comment #3)
> (In reply to comment #2)
> 
> > X verify source and patches (md5sum matches upstream, know what the patches do)
> >  - Source0 doesn't exist
> Updated link
md5sum matches

> 
> > * skim the summary and description for typos, etc.
> > * correct buildroot
> >  - should be:
> >    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
> > X if %{?dist} is used, it should be in that form (note the ? and %
> > locations)
> >  - Please fix Release tag by adding %{?dist}
> Fixed
> 
Great!
> Updated SRPM:
> https://mwringe.108.redhat.com/files/documents/175/348/xmlrpc-2.0.1-3jpp.3.src.rpm

Just built in mock again, everything looks good.

APPROVED.


Comment 5 Matt Wringe 2007-04-26 19:05:43 UTC
built in rawhide


Note You need to log in before you can comment on or make changes to this bug.